Index: palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90
===================================================================
--- palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/synthetic_turbulence_generator_mod.f90	(revision 3182)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables and extend error message
+! Enable geneartor also for stretched grids
 ! 
 ! Former revisions:
@@ -119,6 +120,4 @@
 !> @bug  Height information from input file is not used. Profiles from input
 !>       must match with current PALM grid.
-!>       Transformation of length scales to number of gridpoints does not
-!>       consider grid stretching.
 !>       In case of restart, velocity seeds differ from precursor run if a11,
 !>       a22, or a33 are zero.
@@ -160,4 +159,5 @@
     INCLUDE "mpif.h"
 #endif
+
 
     LOGICAL :: velocity_seed_initialized = .FALSE.  !< true after first call of stg_main
@@ -317,6 +317,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  bc_lr, bc_ns, forcing, nest_domain, number_stretch_level_start, &
-               rans_mode, turbulent_inflow
+        ONLY:  bc_lr, bc_ns, child_domain, nesting_offline,                    &
+               number_stretch_level_start, rans_mode, turbulent_inflow
 
     USE pmc_interface,                                                         &
@@ -326,11 +326,16 @@
     IMPLICIT NONE
 
-    IF ( .NOT. use_syn_turb_gen  .AND.  .NOT. rans_mode  .AND.  forcing )  THEN
-       message_string = 'Synthetic turbulence generator has to be applied ' // &
-                        'when forcing is used and model operates in LES mode.'
-       CALL message( 'stg_check_parameters', 'PA0000', 1, 2, 0, 6, 0 )
+    IF ( .NOT. use_syn_turb_gen  .AND.  .NOT. rans_mode  .AND.                 &
+          nesting_offline )  THEN
+       message_string = 'No synthetic turbulence generator is applied. ' //    &
+                        'In case PALM operates in LES mode and lateral ' //    &
+                        'boundary conditions are provided by COSMO model, ' // &
+                        'turbulence may require large adjustment lenght at ' //&
+                        'the lateral inflow boundaries. Please check your ' // &
+                        'results carefully.' 
+       CALL message( 'stg_check_parameters', 'PA0000', 0, 0, 0, 6, 0 )
     ENDIF
 
-    IF ( .NOT. use_syn_turb_gen  .AND.  nest_domain                            &
+    IF ( .NOT. use_syn_turb_gen  .AND.  child_domain                           &
          .AND. rans_mode_parent  .AND.  .NOT. rans_mode )  THEN
        message_string = 'Synthetic turbulence generator has to be applied ' // &
@@ -342,6 +347,6 @@
     IF ( use_syn_turb_gen )  THEN
 
-       IF ( .NOT. forcing  .AND.  .NOT. nest_domain )  THEN
-
+       IF ( .NOT. nesting_offline  .AND.  .NOT. child_domain )  THEN 
+       
           IF ( INDEX( initializing_actions, 'set_constant_profiles' ) == 0     &
         .AND.  INDEX( initializing_actions, 'read_restart_data' ) == 0 )  THEN
@@ -371,10 +376,4 @@
           CALL message( 'stg_check_parameters', 'PA0039', 1, 2, 0, 6, 0 )
        ENDIF
-       
-       IF ( number_stretch_level_start > 0 )  THEN
-          message_string = 'Using synthetic turbulence generator ' //          &
-                           'in combination with stretching is not allowed'
-          CALL message( 'stg_check_parameters', 'PA0420', 1, 2, 0, 6, 0 )
-       ENDIF
 
     ENDIF
@@ -424,5 +423,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  coupling_char, dz, e_init, forcing, nest_domain, rans_mode
+        ONLY:  child_domain, coupling_char, dz, e_init, nesting_offline,       &
+               rans_mode
 
     USE grid_variables,                                                        &
@@ -512,6 +512,6 @@
 !        nzt_x_stg = myidx * nnz + MOD( nz , pdims(1) )
 
-    IF ( forcing  .OR.  ( nest_domain .AND.  rans_mode_parent  .AND.           &
-                   .NOT.  rans_mode ) )  THEN
+    IF ( nesting_offline   .OR.  ( child_domain  .AND.  rans_mode_parent       &
+                            .AND.  .NOT.  rans_mode ) )  THEN
        nnz = nz / pdims(2)
        nzb_y_stg = 1 + myidy * INT( nnz )
@@ -558,6 +558,6 @@
 !-- layer
 !-- stg_type_xz: xz-slice with vertical bounds nzb:nzt+1
-    IF ( forcing  .OR.  ( nest_domain .AND.  rans_mode_parent  .AND.           &
-                   .NOT.  rans_mode ) )  THEN
+    IF ( nesting_offline  .OR.  ( child_domain .AND.  rans_mode_parent         &
+                           .AND.  .NOT.  rans_mode ) )  THEN
        CALL MPI_TYPE_CREATE_SUBARRAY( 2, [nzt-nzb+2,nxrg-nxlg+1],              &
                [1,nxrg-nxlg+1], [0,0], MPI_ORDER_FORTRAN, MPI_REAL, newtype, ierr )
@@ -612,5 +612,5 @@
        READ( 90, * )
 
-       DO  k = nzb, nzt+1
+       DO  k = nzb+1, nzt+1
           READ( 90, * ) zz, luy, luz, tu(k), lvy, lvz, tv(k), lwy, lwz, tw(k), &
                         r11(k), r21(k), r22(k), r31(k), r32(k), r33(k),        &
@@ -618,12 +618,11 @@
 
 !
-!--       Convert length scales from meter to number of grid points. Attention:
-!--       Does not work if grid stretching is used
+!--       Convert length scales from meter to number of grid points. 
           nuy(k) = INT( luy * ddy )
-          nuz(k) = INT( luz / dz(1)  )
+          nuz(k) = INT( luz * ddzw(k) )
           nvy(k) = INT( lvy * ddy )
-          nvz(k) = INT( lvz / dz(1)  )
+          nvz(k) = INT( lvz * ddzw(k) )
           nwy(k) = INT( lwy * ddy )
-          nwz(k) = INT( lwz / dz(1)  )
+          nwz(k) = INT( lwz * ddzw(k) )
 !
 !--       Workaround, assume isotropic turbulence
@@ -640,5 +639,13 @@
           ENDIF
        ENDDO
-
+!
+!--    Set lenght scales at surface grid point
+       nuy(nzb) = nuy(nzb+1) 
+       nuz(nzb) = nuz(nzb+1)
+       nvy(nzb) = nvy(nzb+1)
+       nvz(nzb) = nvz(nzb+1)
+       nwy(nzb) = nwy(nzb+1)
+       nwz(nzb) = nwz(nzb+1)
+       
        CLOSE( 90 )
 
@@ -710,5 +717,5 @@
 !
 !-- Assign initial profiles
-    IF ( .NOT. forcing  .AND.  .NOT.  nest_domain )  THEN
+    IF ( .NOT. nesting_offline  .AND.  .NOT.  child_domain )  THEN 
        u_init = mean_inflow_profiles(:,1)
        v_init = mean_inflow_profiles(:,2)
@@ -1042,6 +1049,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  dt_3d, forcing, intermediate_timestep_count,  nest_domain,      &
-               rans_mode, simulated_time, volume_flow_initial
+        ONLY:  child_domain, dt_3d, intermediate_timestep_count,               &
+               nesting_offline, rans_mode, simulated_time, volume_flow_initial
 
     USE grid_variables,                                                        &
@@ -1086,6 +1093,6 @@
        CALL stg_generate_seed_yz( nwy, nwz, bwy, bwz, fw_yz, id_stg_left )
 
-       IF ( forcing  .OR.  ( nest_domain .AND.  rans_mode_parent  .AND.        &
-                      .NOT.  rans_mode ) )  THEN
+       IF ( nesting_offline  .OR.  ( child_domain .AND.  rans_mode_parent      &
+                                .AND.  .NOT.  rans_mode ) )  THEN
 !
 !--       Generate turbulence at right boundary
@@ -1112,6 +1119,6 @@
     CALL stg_generate_seed_yz( nwy, nwz, bwy, bwz, fwo_yz, id_stg_left )
 
-    IF ( forcing  .OR.  ( nest_domain .AND.  rans_mode_parent  .AND.           &
-                   .NOT.  rans_mode ) )  THEN
+    IF ( nesting_offline  .OR.  ( child_domain .AND.  rans_mode_parent         &
+                             .AND.  .NOT.  rans_mode ) )  THEN
 !
 !--       Generate turbulence at right boundary
@@ -1191,5 +1198,5 @@
 !--    This correction factor insures that the mass flux is preserved at the
 !--    inflow boundary
-       IF ( .NOT. forcing  .AND.  .NOT. nest_domain )  THEN
+       IF ( .NOT. nesting_offline  .AND.  .NOT. child_domain )  THEN 
           mc_factor_l = 0.0_wp
           mc_factor   = 0.0_wp
Index: palm/trunk/SOURCE/time_integration.f90
===================================================================
--- palm/trunk/SOURCE/time_integration.f90	(revision 3178)
+++ palm/trunk/SOURCE/time_integration.f90	(revision 3182)
@@ -20,5 +20,6 @@
 ! Current revisions:
 ! ------------------
-! 
+! Replace simulated_time by time_since_reference_point in COSMO nesting mode. 
+! Rename subroutines and variables in COSMO nesting mode
 ! 
 ! Former revisions:
@@ -368,6 +369,6 @@
         ONLY:  advected_distance_x, advected_distance_y, air_chemistry,        &
                average_count_3d, averaging_interval, averaging_interval_pr,    &
-               bc_lr_cyc, bc_ns_cyc, bc_pt_t_val,                              &
-               bc_q_t_val, call_psolver_at_all_substeps, cloud_droplets,       &
+               bc_lr_cyc, bc_ns_cyc, bc_pt_t_val, bc_q_t_val,                  &
+               call_psolver_at_all_substeps,  child_domain, cloud_droplets,    &
                cloud_physics, constant_flux_layer, constant_heatflux,          &
                create_disturbances, dopr_n, constant_diffusion, coupling_mode, &
@@ -378,10 +379,11 @@
                dt_do2d_xz, dt_do2d_yz, dt_do3d, dt_domask,dt_dopts, dt_dopr,   &
                dt_dopr_listing, dt_dots, dt_dvrp, dt_run_control, end_time,    &
-               first_call_lpm, first_call_mas, forcing, galilei_transformation,&
+               first_call_lpm, first_call_mas, galilei_transformation,         &
                humidity, intermediate_timestep_count,                          &
-               intermediate_timestep_count_max, land_surface,                  &
-               large_scale_forcing, loop_optimization, lsf_surf, lsf_vert,     &
-               masks, microphysics_morrison, microphysics_seifert, mid,        &
-               nest_domain, neutral, nr_timesteps_this_run, nudging,           &
+               intermediate_timestep_count_max,                                &
+               land_surface, large_scale_forcing,                              &
+               loop_optimization, lsf_surf, lsf_vert, masks,                   &
+               microphysics_morrison, microphysics_seifert, mid,               &
+               nesting_offline, neutral, nr_timesteps_this_run, nudging,       &
                ocean, passive_scalar, prho_reference, pt_reference,            &
                pt_slope_offset, random_heatflux, rans_mode,                    &
@@ -426,11 +428,11 @@
     USE lsf_nudging_mod,                                                       &
         ONLY:  calc_tnudge, ls_forcing_surf, ls_forcing_vert, nudge_ref,       &
-               forcing_bc, forcing_bc_mass_conservation
-
-    USE netcdf_data_input_mod,                                                 &
-        ONLY:  force, netcdf_data_input_lsf
+               lsf_nesting_offline, lsf_nesting_offline_mass_conservation
 
     USE microphysics_mod,                                                      &
         ONLY: collision_turbulence
+
+    USE netcdf_data_input_mod,                                                 &
+        ONLY:  nest_offl, netcdf_data_input_lsf
 
     USE multi_agent_system_mod,                                                &
@@ -594,6 +596,6 @@
 !--    If forcing by larger-scale models is applied, check if new data
 !--    at domain boundaries need to be read.
-       IF ( forcing )  THEN
-          IF ( force%time(force%tind_p) <= simulated_time )                    &
+       IF ( nesting_offline )  THEN
+          IF ( nest_offl%time(nest_offl%tind_p) <= time_since_reference_point )&
              CALL netcdf_data_input_lsf
        ENDIF
@@ -843,7 +845,8 @@
 !--          Commented out April 18, 2018 as seemingly unnecessary. 
 !--          Will later be completely removed.
-!--             IF ( nest_domain )  THEN
+!--             IF ( child_domain )  THEN
 !--                CALL pmci_ensure_nest_mass_conservation
 !--             ENDIF
+
 
              CALL cpu_log( log_point(60), 'nesting', 'stop' )
@@ -888,5 +891,6 @@
                    CALL disturb_field( 'v', tend, v )
                 ELSEIF ( ( .NOT. bc_lr_cyc  .OR.  .NOT. bc_ns_cyc )            &
-                     .AND. .NOT. nest_domain  .AND.  .NOT.  forcing )  THEN
+                     .AND. .NOT. child_domain  .AND.  .NOT.  nesting_offline )  &
+                THEN
 !
 !--                Runs with a non-cyclic lateral wall need perturbations
@@ -904,10 +908,10 @@
 !--       Map forcing data derived from larger scale model onto domain 
 !--       boundaries. 
-          IF ( forcing  .AND.  intermediate_timestep_count ==                  &
-                               intermediate_timestep_count_max  )  THEN
-             CALL forcing_bc
+          IF ( nesting_offline  .AND.  intermediate_timestep_count ==          &
+                                       intermediate_timestep_count_max  )  THEN
+             CALL lsf_nesting_offline
 !
 !--          Moreover, ensure mass conservation
-             CALL forcing_bc_mass_conservation
+             CALL lsf_nesting_offline_mass_conservation
           ENDIF
 
Index: palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3178)
+++ palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 3182)
@@ -20,5 +20,5 @@
 ! Current revisions:
 ! -----------------
-! 
+! Rename variables and remove unused variable from USE statement
 ! 
 ! Former revisions:
@@ -149,5 +149,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  constant_diffusion, dt_3d, e_init, humidity, inflow_l,          &
+        ONLY:  constant_diffusion, dt_3d, e_init, humidity,                    &
                initializing_actions, intermediate_timestep_count,              &
                intermediate_timestep_count_max, kappa, km_constant,            &
@@ -212,4 +212,5 @@
 
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  l_black    !< mixing length according to Blackadar
+
     REAL(wp), DIMENSION(:), ALLOCATABLE ::  l_grid     !< geometric mean of grid sizes dx, dy, dz 
 
@@ -378,6 +379,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  message_string, nest_domain, neutral, turbulent_inflow,         &
-               turbulent_outflow
+        ONLY:  message_string, neutral, turbulent_inflow, turbulent_outflow
 
     IMPLICIT NONE
@@ -1049,5 +1049,5 @@
 
     USE control_parameters,                                                    &
-        ONLY:  complex_terrain, dissipation_1d, topography
+        ONLY:  bc_dirichlet_l, complex_terrain, dissipation_1d, topography
 
     USE model_1d_mod,                                                          &
@@ -1252,5 +1252,5 @@
 !--       Use these mean profiles at the inflow (provided that Dirichlet
 !--       conditions are used)
-          IF ( inflow_l )  THEN
+          IF ( bc_dirichlet_l )  THEN
              DO  j = nysg, nyng
                 DO  k = nzb, nzt+1
@@ -4613,5 +4613,6 @@
 
     USE control_parameters,                                                    &
-        ONLY:  e_min, outflow_l, outflow_n, outflow_r, outflow_s
+        ONLY:  bc_radiation_l, bc_radiation_n, bc_radiation_r, bc_radiation_s, &
+               e_min
 
     USE surface_layer_fluxes_mod,                                              &
@@ -4772,17 +4773,17 @@
 !-- Set Neumann boundary conditions at the outflow boundaries in case of
 !-- non-cyclic lateral boundaries
-    IF ( outflow_l )  THEN
+    IF ( bc_radiation_l )  THEN
        km(:,:,nxl-1) = km(:,:,nxl)
        kh(:,:,nxl-1) = kh(:,:,nxl)
     ENDIF
-    IF ( outflow_r )  THEN
+    IF ( bc_radiation_r )  THEN
        km(:,:,nxr+1) = km(:,:,nxr)
        kh(:,:,nxr+1) = kh(:,:,nxr)
     ENDIF
-    IF ( outflow_s )  THEN
+    IF ( bc_radiation_s )  THEN
        km(:,nys-1,:) = km(:,nys,:)
        kh(:,nys-1,:) = kh(:,nys,:)
     ENDIF
-    IF ( outflow_n )  THEN
+    IF ( bc_radiation_n )  THEN
        km(:,nyn+1,:) = km(:,nyn,:)
        kh(:,nyn+1,:) = kh(:,nyn,:)
Index: palm/trunk/UTIL/inifor/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/Makefile	(revision 3178)
+++ palm/trunk/UTIL/inifor/Makefile	(revision 3182)
@@ -20,4 +20,5 @@
 # Current revisions:
 # -----------------
+# Added __netcdf4 preprocessor flag
 # 
 # 
@@ -51,5 +52,5 @@
 		  -Wline-truncation -fbacktrace -fcheck=all -pedantic \
 		  -ffpe-trap=invalid,zero,underflow,overflow
-FFLAGS  = -fdefault-real-8 -Og -g $(WRNGS)
+FFLAGS  = -fdefault-real-8 -Og -g $(WRNGS) -cpp -D__netcdf4
 INCLUDE = -I/home/ekadasch/local/include
 LIBRARY = -L/home/ekadasch/local/lib64 -lnetcdff
Index: palm/trunk/UTIL/inifor/Makefile.gnu
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.gnu	(revision 3178)
+++ palm/trunk/UTIL/inifor/Makefile.gnu	(revision 3182)
@@ -20,5 +20,7 @@
 # Current revisions:
 # -----------------
-# 
+# Added __netcdf4 preprocessor flag
+# Corrected compilation order
+#
 # 
 # Former revisions:
@@ -43,5 +45,5 @@
 TEST_PATH = $(PROJECT_PATH)/tests
 
-MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/util.mod $(SRC_PATH)/control.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
 SOURCES = $(MODULES:%.mod=%.f90) $(SRC_PATH)/$(PROJECT).f90
 OBJECTS = $(SOURCES:%.f90=%.o)
@@ -51,5 +53,5 @@
 		  -Wline-truncation -fbacktrace -fcheck=all -pedantic \
 		  -ffpe-trap=invalid,zero,underflow,overflow
-FFLAGS  = -fdefault-real-8 -Og -g $(WRNGS)
+FFLAGS  = -fdefault-real-8 -Og -g $(WRNGS) -cpp -D__netcdf4
 INCLUDE = -I/home/ekadasch/local/include
 LIBRARY = -L/home/ekadasch/local/lib64 -lnetcdff
@@ -57,5 +59,5 @@
 .PHONY: all clean doc run tags test test-verbose $(PROJECT)
 
-$(PROJECT): $(OBJECTS) $(MODULES)
+$(PROJECT): $(OBJECTS) $(MODULES) tags
 	@echo ""
 	mkdir -p $(BIN_PATH)
@@ -78,6 +80,4 @@
 	rm -rf ./doc/latex ./doc/html
 	rm -f $(SRC_PATH)/tags
-	rm -f *.files
-	rm -f palm-hsurf.nc
 	$(MAKE) -C $(TEST_PATH) clean
 	$(MAKE) -C $(SRC_PATH) clean
Index: palm/trunk/UTIL/inifor/Makefile.ifort
===================================================================
--- palm/trunk/UTIL/inifor/Makefile.ifort	(revision 3178)
+++ palm/trunk/UTIL/inifor/Makefile.ifort	(revision 3182)
@@ -20,5 +20,7 @@
 # Current revisions:
 # -----------------
-# 
+# Added __netcdf4 preprocessor flag
+# Corrected compilation order
+#
 # 
 # Former revisions:
@@ -43,10 +45,10 @@
 TEST_PATH = $(PROJECT_PATH)/tests
 
-MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/control.mod $(SRC_PATH)/util.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
+MODULES = $(SRC_PATH)/defs.mod $(SRC_PATH)/util.mod $(SRC_PATH)/control.mod $(SRC_PATH)/types.mod $(SRC_PATH)/transform.mod $(SRC_PATH)/io.mod $(SRC_PATH)/grid.mod
 SOURCES = $(MODULES:%.mod=%.f90) $(SRC_PATH)/$(PROJECT).f90
 OBJECTS = $(SOURCES:%.f90=%.o)
 
 FC      = ifort
-FFLAGS  = -g -real-size 64 -no-wrap-margin
+FFLAGS  = -g -real-size 64 -no-wrap-margin -cpp -D__netcdf4
 INCLUDE = -I/usr/local/pkg/netcdf/4.3.2/include
 LIBRARY = -L/usr/local/pkg/netcdf/4.3.2/lib -lnetcdff
@@ -54,5 +56,5 @@
 .PHONY: all clean doc run tags test test-verbose $(PROJECT)
 
-$(PROJECT): $(OBJECTS) $(MODULES)
+$(PROJECT): $(OBJECTS) $(MODULES) tags
 	@echo ""
 	mkdir -p $(BIN_PATH)
@@ -75,8 +77,6 @@
 	rm -rf ./doc/latex ./doc/html
 	rm -f $(SRC_PATH)/tags
-	rm -f *.files
-	rm -f palm-hsurf.nc
 	$(MAKE) -C $(TEST_PATH) clean
-	$(MAKE) -C $(SRC_PATH) tags
+	$(MAKE) -C $(SRC_PATH) clean
 
 doc:
Index: palm/trunk/UTIL/inifor/README
===================================================================
--- palm/trunk/UTIL/inifor/README	(revision 3178)
+++ palm/trunk/UTIL/inifor/README	(revision 3182)
@@ -1,3 +1,3 @@
-INIFOR - Initialization and Forcing of PALM-4U (v1.1.5)
+# INIFOR - Mesoscale Interface for Initializing and Forcing PALM-4U (v1.3.0)
 
 INIFOR provides the meteorological fields required to initialize and drive the
@@ -5,54 +5,123 @@
 interpolated from output data of the meso-scale model COSMO.
 
-COMPILATION
+
+## COMPILATION
 
 1. Customize ./Makefile and ./tests/Makefile (netCDF library location, compiler
    and parameters, use Makefile.ifort as a template if you want to use the Intel
    Fortran compiler)
-2. $ make
+2. Run `make`
 
-USAGE
 
-1. Customize ./namelist (number or grid points and spacings, end_time)
-2. $ ./bin/inifor -path <scenario path> -date <YYYYMMDD> -clat <latitude> -clon <longitude>
+## USAGE
 
-All COMMAND-LINE PARAMETERS
+1. Customize `./namelist` (number or grid points and spacings, end_time)
+2. Run `current_version/trunk/SCRIPTS/inifor -path <scenario path> -date <YYYYMMDD>`
 
--date <date>: Start date of the simulation in the form YYYMMDD. Currently,
-    INIFOR assumes that the simulation starts at O UTC on that day.
-    Default: 20130721
 
--hhl <netCDF file>: Location of the netCDF file containing the vertical COSMO-DE
-    grid (hhh = height of half layers, i.e. vertical cell faces).
-    Default: <scenario path>/hhl.nc
+## AVAILABLE NAMELIST PARAMETERS
 
--mode profile: Produce average profiles instead of three-dimensional fields as 
-    initial conditions.
+INIFOR mirrors a subset of the PALM-4U's Fortran namelists `inipar` and `d3par`
+and supports the following parameters:
 
--n <namelist file>: Location of the PALM-4U namelist file. INIFOR expects the
-    file to contain two namelists, inipar and d3par, from which it will read
-    grid parameters and the simulation time. Default: ./namelist
 
--o <ouput file>: Name of the INIFOR output file. Default: ./palm-4u-input.nc
+### inipar
 
--p0 <pressure>: Surface pressure at z=0 in the PALM-4U domain [Pa].
-    Default: 1e5 Pa = 1000 hPa
+    nx, ny, nz - number of PALM-4U grid points in x, y, and z direction
+    dx, dy, dz(10) - PALM-4U grid spacings in x, y, and z direction [m]
+    dz_stretch_level - height above which the grid will be stretched [m]
+    dz_stretch_factor - factor by which the grid will be stretched
+    dz_max - maximum vertical grid spacing [m]
+    dz_stretch_level_start(9) - array of height levels above which the grid is
+    to be stretched vertically [m]
+    dz_stretch_level_end(9) - array of height levels until which the grid is to
+    be stretched vertically [m]
+    longitude, latitude - geographical coordinates of the PALM-4U origin [deg]
 
--path <scenario path>: Scenario path, i.e. the path of the meteorological input
-    data. Default: ./
 
--soil <netCDF file>: Location of the netCDF file containing the COSMO-DE soil type
-    map.
-    Default: <scenario path>/soil.nc
+### d3par
 
--static <static driver file>: Location of the netCDF file containing the static
-    driver file for the case to be simulated with PALM-4U. Optional parameter.
-    Default: None
+    end_time - PALM-4U simulation time. INIFOR will produce hourly forcing data
+        from the start date (see -d command-line option) to end_time seconds
+        thereafter. [s]
 
--ug <velocity>: Specifies the geostrophic wind in x direction [m/s]. Default: 0
 
--vg <velocity>: Specifies the geostrophic wind in y direction [m/s]. Default: 0
+### EXAMPLE NAMELIST FILE
 
--z0 <height>: Specifies the elevation of the the PALM-4U domain above sea level [m].
-    Default: 35 m
+    &inipar nx = 4679, ny = 3939, nz = 360
+            dx = 10., dy = 10., dz = 10.
+            dz_stretch_level = 2500.0, dz_stretch_factor = 1.08, dz_max = 100.0
+            longitude = 13.082744, latitude = 52.325079
+    /
+    
+    &d3par  end_time = 86400.0
+    /
 
+
+## AVAILABLE COMMAND-LINE PARAMETERS
+
+    -d, --date, -date <date>:
+        Start date of the simulation in the form YYYYMMDD of YYYYMMDDHH. If no
+        hours (HH) are given, INIFOR assumes that the simulation starts at O UTC
+        on that day. Default: 20130721
+        
+    -i, --init-mode, -mode <mode>:
+        Set the PALM-4U initialization mode. INIFOR can provide initial conditions
+        as either profiles or three-dimensional fields. The corresponding modes
+        are 'profile' and 'volume'. Default: volume
+
+    -l, --hhl-file, -hhl <netCDF file>:
+        Location of the netCDF file containing the vertical COSMO-DE grid levels,
+        specifically the heights of half levels (hhl, i.e. vertical cell faces).
+        Default: <scenario path>/hhl.nc
+
+    -n, --namelist <namelist file>:
+        Location of the PALM-4U namelist file. INIFOR expects the file to contain
+        two namelists, inipar and d3par, from which it will read grid parameters
+        and the simulation time. Default: ./namelist
+
+    -o, --output <output file>:
+        Name of the INIFOR output file, i.e. the PALM-4U dynamic driver.
+        Default: ./palm-4u-input.nc
+
+    -p, --path, -path <scenario path>:
+        Scenario path, i.e. the path of the meteorological input data. Default: ./
+
+    -r, --surface-pressure, -p0 <pressure>:
+        Surface pressure at z=0 in the PALM-4U domain [Pa].
+        Default: 1e5
+
+    -s, --soil-file, -soil <netCDF file>:
+        Location of the netCDF file containing the COSMO-DE soil type map.
+        Default: <scenario path>/soil.nc
+
+    -t, --static-driver, -static <netCDF file>:
+        Location of the netCDF file containing the static driver file for the case
+        to be simulated with PALM-4U. Optional parameter. Default: None
+
+    -u, --geostrophic-u, -ug <velocity>:
+        Specifies the geostrophic wind in x direction [m/s]. Default: 0
+
+    -v, --geostrophic-v, -vg <velocity>:
+        Specifies the geostrophic wind in y direction [m/s]. Default: 0
+
+    --version:
+        Output version number and exit.
+
+    -z, --elevation, -z0 <height>: Specifies the elevation of the PALM-4U domain
+        above sea level [m]. Default: 35
+
+
+## ADDITIONAL COMMAND-LINE OPTIONS
+
+    --flow-prefix <prefix>:
+        Set the file prefix of flow input files. Default: laf
+
+    --radiation-prefix <prefix>:
+        Set the file prefix of radiation input files. Default: laf
+
+    --soil-prefix <prefix>:
+        Set the file prefix of soil input files. Default: laf
+
+    --soilmoisture-prefix <prefix>:
+        Set the file prefix of soil moisture input files. Default: laf
Index: palm/trunk/UTIL/inifor/src/control.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/control.f90	(revision 3178)
+++ palm/trunk/UTIL/inifor/src/control.f90	(revision 3182)
@@ -21,4 +21,5 @@
 ! Current revisions:
 ! -----------------
+! Added version and copyright output
 ! 
 ! 
@@ -42,5 +43,5 @@
 
     USE defs,                                                                  &
-        ONLY:  LNAME, dp
+        ONLY:  LNAME, dp, VERSION, COPYRIGHT
 
     USE util,                                                                  &
@@ -95,4 +96,10 @@
 
     END SUBROUTINE abort
+
+
+    SUBROUTINE print_version()
+       PRINT *, "INIFOR " // VERSION
+       PRINT *, COPYRIGHT
+    END SUBROUTINE print_version
 
 
Index: palm/trunk/UTIL/inifor/src/defs.f90
===================================================================
--- palm/trunk/UTIL/inifor/src/defs.f90	(revision 3178)
+++ palm/trunk/UTIL/inifor/src/defs.f90	(revision 3182)
@@ -21,4 +21,8 @@
 ! Current revisions:
 ! -----------------
+! Updated defaults for soil extrapolation steps and nudging time-scale
+! Improved handling of the start date string
+! Added gas constant for water vapor
+! Bumped INIFOR version number
 ! 
 ! 
@@ -62,5 +66,6 @@
  REAL(dp), PARAMETER ::  T_SL = 288.15_dp                     !< Reference temperature for computation of COSMO-DE's basic state pressure [K]
  REAL(dp), PARAMETER ::  BETA = 42.0_dp                       !< logarithmic lapse rate, dT / d ln(p), for computation of COSMO-DE's basic state pressure [K]
- REAL(dp), PARAMETER ::  RD   = 287.05_dp                     !< specific gar constant of dry air, used in computation of COSMO-DE's basic state [J/kg/K]
+ REAL(dp), PARAMETER ::  RD   = 287.05_dp                     !< specific gas constant of dry air, used in computation of COSMO-DE's basic state [J/kg/K]
+ REAL(dp), PARAMETER ::  RV   = 461.51_dp                     !< specific gas constant of water vapor [J/kg/K]
  REAL(dp), PARAMETER ::  G    = 9.80665_dp                    !< acceleration of Earth's gravity, used in computation of COSMO-DE's basic state [m/s/s]
  REAL(dp), PARAMETER ::  RHO_L = 1e3_dp                       !< density of liquid water, used to convert W_SO from [kg/m^2] to [m^3/m^3], in [kg/m^3]
@@ -72,7 +77,10 @@
 
  ! INIFOR parameters
- INTEGER, PARAMETER          ::  FILL_ITERATIONS = 10         !< Number of iterations for extrapolating soil data into COSMO-DE water cells [-]
- REAL(dp), PARAMETER         ::  FORCING_FREQ = 3600.0_dp     !< Reference pressure for potential temperature [Pa]
- CHARACTER(LEN=*), PARAMETER ::  VERSION = '1.1.4'            !< path to script for generating input file names
+ INTEGER, PARAMETER          ::  FILL_ITERATIONS = 5          !< Number of iterations for extrapolating soil data into COSMO-DE water cells [-]
+ INTEGER, PARAMETER          ::  FORCING_STEP = 1             !< Number of hours between forcing time steps [h]
+ REAL(dp), PARAMETER         ::  NUDGING_TAU = 21600.0_dp     !< Nudging relaxation time scale [s]
+ CHARACTER(LEN=*), PARAMETER ::  VERSION = '1.3.0'            !< INIFOR version number
+ CHARACTER(LEN=*), PARAMETER ::  COPYRIGHT = 'Copyright 2017-2018 Leibniz Universitaet Hannover' // &
+     NEW_LINE(' ') // ' Copyright 2017-2018 Deutscher Wetterdienst Offenbach' !< Copyright notice
 
  END MODULE defs
